MSCAN(1)

NAME
mscan - generate one-line message summaries

SYNOPSIS
mscan [-I] [-n] [-v] [-f format] msgs ...

DESCRIPTION
mscan prints a one line summary for each message. ( See mmsg(7) for the message argument syntax.)

If no msgs are specified, mscan reads filenames from the standard input, or scans the mails in the current sequence if used interactively.

By default, mscan will spawn a pager on its output when used interactively. See ENVIRONMENT for details on how to control this behaviour.

The default format is

    %c%u%r %-3n %10d %17f %t %2i%s

that is, for each message, mscan prints relevant flags, the sequence number (if applicable), the date, the originator, and the subject of the message (possibly indented). A default mscan format may be specified in the user's mblaze-profile(5).

The options are as follows:

-I  Force ISO date output, even for ‘%d’.

-n  Only print message numbers (or filenames, if the message is not in the current sequence).

-v  Print how many messages were scanned to standard error.

-f format
    Format according to the string format, inspired by printf(3).

    The following formatting codes may be used ( wd overrides the default width):

    \n  Newline.

    \t  Tab.

    %%  A plain ‘%’.

    %[wd]b
        Human-readable size of the message (in kilobytes).

    %c  A ‘>’ on the current message, otherwise a blank.

    %[wd]d
        Adaptive date of the message. When wd is greater or equal to 19, the timestamp is shown in dottime format (https://dotti.me/).

    %[wd]D
        ISO date of the message (year, month, day). When wd is greater or equal to 16, the hour-minute timestamp will also be shown. When wd is greater or equal to 19, seconds will also be shown.

    %[wd]f
        The ‘From:’ ( or ‘To:’, if the message is from us).

    %[wd]F
        The maildir folder the message resides in.

    %[wd]i
        wd (default: 1) spaces per indentation depth in the thread tree.

    %[wd]I
        The ‘Message-ID:’ of the message.

    %M  The raw maildir flags of the message.

    %[wd]n
        The number of the message in the current sequence.

    %r  A ‘-’ on a replied-to message, or a ‘’: on a forwarded message, or a blank.

    %[wd]R
        The filename of the message.

    %[wd]s
        The subject of the message (defaults to remaining width).

    %[wd]S
        The subject of the message (defaults to remaining width), with leading ‘Re:’, ‘Fwd:’ etc. stripped.

    %t  A ‘>’ if you are in ‘To:’, a ‘+’ if you are in ‘Cc:’, a ‘’: if you are in ‘Resent-To:’, or a blank.

    %u  An ‘*’ on a flagged message, a ‘’. on an unseen message, an ‘x’ on a trashed message, or a blank.

MESSAGE FLAGS
>   The current message
.   An unseen message
x   A trashed message
*   A flagged message
-   A replied-to message

SUBJECT FLAGS
>   You are in ‘To:’
+   You are in ‘Cc:’
:   You are in ‘Resent-To:’

ENVIRONMENT

MBLAZE_PAGER
    Any non-empty value of the environment variable MBLAZE_PAGER is used instead of the standard pagination program, specified in PAGER. When empty, or set to ‘cat’, no pager is spawned.

EXIT STATUS

SEE ALSO
mblaze-profile(5), mmsg(7)

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mscan is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/